////////////////////////////////////////////////////////
//
//  team_black.h - TF team configuration file
//
//  to produce correct default.cfg file for bot engine
//  you have to filter this file with some C preprocessor
//
//  we used Generic Preprocessor version 2.1 (c) Denis Auroux 1996-2001
//  http://math.polytechnique.fr/cmat/auroux/prog/gpp.html
//
//  to make this config execute from the command line: 
//  gpp.exe -C -x +z -o team_red.cfg team_red.h
//

// useful macros
#define SQR(x) x*x
#define METER(x) 100*x
#define SECOND(x) 1000*x

BUY_TIME                            SECOND(2)           // time, when bots buy weapons + items

// sequences, points
POINTS_TYPE                         1                   // base amount of points for sequence type (not affected by penalties)
POINTS_MISSION                      2000                // base amount of points for MISSION sequence 

POINTS_BASE                         1                   // base amount of points given to the sequence
POINTS_SPECIALIZATION               20                  // point bonus when player specialization matches sequence
POINTS_TACTICS                      10                  // point bonus when actual tactics matches sequence tactics
POINTS_TIME                         2000                // point bonus when round time matches sequence
POINTS_TIME_RANGE                   SECOND(10)          // range within time bonus points are distributed (ABS(sequence.time-atime)<TIME_RANGE)
POINTS_BIND                         10000               // point bonus when sequence binds to previous one
POINTS_KOEF                         2000                // NOT USED !

POINTS_MULTIPLIER_MISSION           6                   // importance for doing mission sequences

PENALTY_GOSEQ                       3000                // point penalty 

// brain, sequence planing
BRAIN_SEQREPEAT_TIME                SECOND(30)          // time limit for penalizing sequence for repeating
BRAIN_SEQREPEAT_BONUS               15                  // point bonus for not repeated sequence (lerped from 0 to BRAIN_SEQREPEAT_TIME)

ROUND_START_DELAY                   SECOND(4)           // delay from doing anything but buing weapons when round starts

MISSION_EFFECT_TIMEOUT              SECOND(40)          // timeout to keep MISSION brain state
EVENT_EFFECT_TIMEOUT                SECOND(10)          // timeout to keep EVENT brain state

RUNNING_OUT_OF_TIME                 SECOND(90) 
